Runtime

## org.eclipse.gmf.runtime.emf.core
Class GMFEditingDomainFactory

    java.lang.Object
      org.eclipse.emf.transaction.impl.TransactionalEditingDomainImpl.FactoryImpl
          org.eclipse.emf.workspace.WorkspaceEditingDomainFactory
              org.eclipse.gmf.runtime.emf.core.GMFEditingDomainFactory

All Implemented Interfaces:
  TransactionalEditingDomain.Factory

Direct Known Subclasses:
  DiagramEditingDomainFactory

    public class GMFEditingDomainFactory

extends WorkspaceEditingDomainFactory

Factory for `TransactionalEditingDomain`s that are properly configured to support a GMF application. This factory should be preferred over the `WorkspaceEditingDomainFactory` because it attaches adapters and sets up other other properties of the resource set and/or editing domain on the client's behalf.

Field Summary

Fields inherited from class org.eclipse.emf.workspace.WorkspaceEditingDomainFactory
`INSTANCE`

Constructor Summary
`GMFEditingDomainFactory()`

Method Summary
`protected void` `configure(TransactionalEditingDomain domain)` Configures the specified editing domain for correct functioning in the GMF environment.
`TransactionalEditingDomain` `createEditingDomain()`
`TransactionalEditingDomain` `createEditingDomain(IOperationHistory history)`
`TransactionalEditingDomain` `createEditingDomain(org.eclipse.emf.ecore.resource.ResourceSet rset)`
`TransactionalEditingDomain` `createEditingDomain(org.eclipse.emf.ecore.resource.ResourceSet rset, IOperationHistory history)`
`static WorkspaceEditingDomainFactory` `getInstance()` Gets the single shared instance of the GMF editing domain factory.

Methods inherited from class org.eclipse.emf.transaction.impl.TransactionalEditingDomainImpl.FactoryImpl
`getEditingDomain, mapResourceSet, unmapResourceSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GMFEditingDomainFactory

    public GMFEditingDomainFactory()

Method Detail

### getInstance

    public static WorkspaceEditingDomainFactory getInstance()

  Gets the single shared instance of the GMF editing domain factory.

  Returns:
    the editing domain factory

### createEditingDomain

    public TransactionalEditingDomain createEditingDomain()

  Specified by:
    `createEditingDomain` in interface `TransactionalEditingDomain.Factory`
  Overrides:
    `createEditingDomain` in class `WorkspaceEditingDomainFactory`

### createEditingDomain

    public TransactionalEditingDomain createEditingDomain(IOperationHistory history)

  Overrides:
    `createEditingDomain` in class `WorkspaceEditingDomainFactory`

### createEditingDomain

    public TransactionalEditingDomain createEditingDomain(org.eclipse.emf.ecore.resource.ResourceSet rset,
                                                          IOperationHistory history)

  Overrides:
    `createEditingDomain` in class `WorkspaceEditingDomainFactory`

### createEditingDomain

    public TransactionalEditingDomain createEditingDomain(org.eclipse.emf.ecore.resource.ResourceSet rset)

  Specified by:
    `createEditingDomain` in interface `TransactionalEditingDomain.Factory`
  Overrides:
    `createEditingDomain` in class `WorkspaceEditingDomainFactory`

### configure

    protected void configure(TransactionalEditingDomain domain)

  Configures the specified editing domain for correct functioning in the GMF environment.

  Parameters:
    `domain` - the new editing domain

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.